<?php
!function_exists('readover') && exit('Forbidden');

/****

@name:時空卡
@type:帖子類
@effect:帖子中使用，讓帖子發布到12小時後,使其12小時內不沉。

****/

if($tooldb['type']!=1){
	Showmsg('tooluse_type_error');  // 判斷道具類型是否設置錯誤
}

$db->update("UPDATE pw_threads SET lastpost=lastpost+43200,toolinfo=".pwEscape($tooldb['name'],false)."WHERE tid=".pwEscape($tid));
$db->update("UPDATE pw_usertool SET nums=nums-1 WHERE uid=".pwEscape($winduid)."AND toolid=".pwEscape($toolid));
$logdata=array(
	'type'		=>	'use',
	'descrip'	=>	'tool_22_descrip',
	'uid'		=>	$winduid,
	'username'	=>	$windid,
	'ip'		=>	$onlineip,
	'time'		=>	$timestamp,
	'toolname'	=>	$tooldb['name'],
	'subject'	=>	substrs($tpcdb['subject'],15),
	'tid'		=>	$tid,
);
writetoollog($logdata);
Showmsg('toolmsg_success');
?>